Bug 1912504 - gpgme: FTBFS in Fedora rawhide: CryptoConfigTest::testDefault() 'entry' returned FALSE.
Summary: gpgme: FTBFS in Fedora rawhide: CryptoConfigTest::testDefault() 'entry' retur...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gpgme
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-04 15:34 UTC by Tomáš Hrnčiar
Modified: 2021-01-24 11:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-24 11:03:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-01-04 15:34:36 UTC
Description of problem:
Package gpgme fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
1.14.0-2.fc33

Steps to Reproduce:
koji build --scratch f34 gpgme-1.14.0-2.fc33.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/gpgme

Running tests using /usr/bin/python3.10 (3.10)...
PASS: initial.py
PASS: t-wrapper.py
PASS: t-callbacks.py
PASS: t-data.py
PASS: t-encrypt.py
PASS: t-encrypt-sym.py
PASS: t-encrypt-sign.py
PASS: t-sign.py
PASS: t-signers.py
PASS: t-decrypt.py
PASS: t-verify.py
PASS: t-decrypt-verify.py
PASS: t-sig-notation.py
PASS: t-export.py
PASS: t-import.py
PASS: t-edit.py
PASS: t-keylist.py
PASS: t-keylist-from-data.py
PASS: t-wait.py
PASS: t-encrypt-large.py
PASS: t-file-name.py
PASS: t-idiomatic.py
PASS: t-protocol-assuan.py
PASS: t-quick-key-creation.py
PASS: t-quick-subkey-creation.py
PASS: t-quick-key-manipulation.py
PASS: t-quick-key-signing.py
PASS: final.py
28 tests run, 28 succeeded, 0 failed, 0 skipped.
make  check-am
make[4]: Entering directory '/builddir/build/BUILD/gpgme-1.14.0/lang/python/tests'
make[4]: Nothing to be done for 'check-am'.
make[4]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/python/tests'
make[3]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/python/tests'
Making check in examples
make[3]: Entering directory '/builddir/build/BUILD/gpgme-1.14.0/lang/python/examples'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/python/examples'
Making check in doc
make[3]: Entering directory '/builddir/build/BUILD/gpgme-1.14.0/lang/python/doc'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/python/doc'
Making check in src
make[3]: Entering directory '/builddir/build/BUILD/gpgme-1.14.0/lang/python/src'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/python/src'
make[2]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/python'
Making check in qt
make[2]: Entering directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt'
Making check in src
make[3]: Entering directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt/src'
make  check-am
make[4]: Entering directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt/src'
make[4]: Nothing to be done for 'check-am'.
make[4]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt/src'
make[3]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt/src'
Making check in tests
make[3]: Entering directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt/tests'
make  check-am
make[4]: Entering directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt/tests'
make  check-TESTS
make[5]: Entering directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt/tests'
PASS: initial.test
********* Start testing of KeyListTest *********
Config: Using QtTest library 5.15.2, Qt 5.15.2 (x86_64-little_endian-lp64 shared (dynamic) release build; by GCC 11.0.0 20201216 (Red Hat 11.0.0-0)), fedora 34
PASS   : KeyListTest::initTestCase()
PASS   : KeyListTest::testSingleKeyListSync()
PASS   : KeyListTest::testGetKey()
PASS   : KeyListTest::testPubkeyAlgoAsString()
PASS   : KeyListTest::testKeyListAsync()
PASS   : KeyListTest::cleanupTestCase()
Totals: 6 passed, 0 failed, 0 skipped, 0 blacklisted, 31ms
********* Finished testing of KeyListTest *********
PASS: t-keylist
********* Start testing of KeyLocateTest *********
Config: Using QtTest library 5.15.2, Qt 5.15.2 (x86_64-little_endian-lp64 shared (dynamic) release build; by GCC 11.0.0 20201216 (Red Hat 11.0.0-0)), fedora 34
PASS   : KeyLocateTest::initTestCase()
PASS   : KeyLocateTest::testKeyLocateSingle()
PASS   : KeyLocateTest::cleanupTestCase()
Totals: 3 passed, 0 failed, 0 skipped, 0 blacklisted, 19ms
********* Finished testing of KeyLocateTest *********
PASS: t-keylocate
********* Start testing of ChangeOwnerTrustTest *********
Config: Using QtTest library 5.15.2, Qt 5.15.2 (x86_64-little_endian-lp64 shared (dynamic) release build; by GCC 11.0.0 20201216 (Red Hat 11.0.0-0)), fedora 34
PASS   : ChangeOwnerTrustTest::initTestCase()
PASS   : ChangeOwnerTrustTest::testChangeOwnerTrust()
PASS   : ChangeOwnerTrustTest::cleanupTestCase()
Totals: 3 passed, 0 failed, 0 skipped, 0 blacklisted, 42ms
********* Finished testing of ChangeOwnerTrustTest *********
PASS: t-ownertrust
********* Start testing of TofuInfoTest *********
Config: Using QtTest library 5.15.2, Qt 5.15.2 (x86_64-little_endian-lp64 shared (dynamic) release build; by GCC 11.0.0 20201216 (Red Hat 11.0.0-0)), fedora 34
PASS   : TofuInfoTest::initTestCase()
PASS   : TofuInfoTest::testTofuNull()
PASS   : TofuInfoTest::testTofuInfo()
PASS   : TofuInfoTest::testTofuSignCount()
PASS   : TofuInfoTest::testTofuKeyList()
PASS   : TofuInfoTest::testTofuPolicy()
PASS   : TofuInfoTest::testTofuConflict()
PASS   : TofuInfoTest::cleanupTestCase()
Totals: 8 passed, 0 failed, 0 skipped, 0 blacklisted, 984ms
********* Finished testing of TofuInfoTest *********
PASS: t-tofuinfo
********* Start testing of EncryptionTest *********
Config: Using QtTest library 5.15.2, Qt 5.15.2 (x86_64-little_endian-lp64 shared (dynamic) release build; by GCC 11.0.0 20201216 (Red Hat 11.0.0-0)), fedora 34
PASS   : EncryptionTest::initTestCase()
PASS   : EncryptionTest::testSimpleEncryptDecrypt()
PASS   : EncryptionTest::testProgress()
PASS   : EncryptionTest::testSymmetricEncryptDecrypt()
PASS   : EncryptionTest::testEncryptDecryptNowrap()
PASS   : EncryptionTest::cleanupTestCase()
Totals: 6 passed, 0 failed, 0 skipped, 0 blacklisted, 959ms
********* Finished testing of EncryptionTest *********
PASS: t-encrypt
********* Start testing of VerifyTest *********
Config: Using QtTest library 5.15.2, Qt 5.15.2 (x86_64-little_endian-lp64 shared (dynamic) release build; by GCC 11.0.0 20201216 (Red Hat 11.0.0-0)), fedora 34
PASS   : VerifyTest::initTestCase()
PASS   : VerifyTest::testSignatureKey()
PASS   : VerifyTest::cleanupTestCase()
Totals: 3 passed, 0 failed, 0 skipped, 0 blacklisted, 26ms
********* Finished testing of VerifyTest *********
PASS: t-verify
********* Start testing of TestVarious *********
Config: Using QtTest library 5.15.2, Qt 5.15.2 (x86_64-little_endian-lp64 shared (dynamic) release build; by GCC 11.0.0 20201216 (Red Hat 11.0.0-0)), fedora 34
PASS   : TestVarious::initTestCase()
PASS   : TestVarious::testDN()
PASS   : TestVarious::testKeyFromFile()
PASS   : TestVarious::testDataRewind()
PASS   : TestVarious::testQuickUid()
PASS   : TestVarious::testVersion()
PASS   : TestVarious::cleanupTestCase()
Totals: 7 passed, 0 failed, 0 skipped, 0 blacklisted, 350ms
********* Finished testing of TestVarious *********
PASS: t-various
********* Start testing of CryptoConfigTest *********
Config: Using QtTest library 5.15.2, Qt 5.15.2 (x86_64-little_endian-lp64 shared (dynamic) release build; by GCC 11.0.0 20201216 (Red Hat 11.0.0-0)), fedora 34
PASS   : CryptoConfigTest::initTestCase()
FAIL!  : CryptoConfigTest::testDefault() 'entry' returned FALSE. ()
   Loc: [t-config.cpp(66)]
PASS   : CryptoConfigTest::cleanupTestCase()
Totals: 2 passed, 1 failed, 0 skipped, 0 blacklisted, 40ms
********* Finished testing of CryptoConfigTest *********
FAIL: t-config
********* Start testing of TestRemarks *********
Config: Using QtTest library 5.15.2, Qt 5.15.2 (x86_64-little_endian-lp64 shared (dynamic) release build; by GCC 11.0.0 20201216 (Red Hat 11.0.0-0)), fedora 34
PASS   : TestRemarks::initTestCase()
PASS   : TestRemarks::testRemarkReplaceSingleUIDExportable()
PASS   : TestRemarks::testMultipleRemarks()
PASS   : TestRemarks::testRemarkReplaceSingleUID()
PASS   : TestRemarks::testRemarkReplaceMultiUID()
PASS   : TestRemarks::cleanupTestCase()
Totals: 6 passed, 0 failed, 0 skipped, 0 blacklisted, 1216ms
********* Finished testing of TestRemarks *********
PASS: t-remarks
=======================================
1 of 10 tests failed
Please report to https://bugs.gnupg.org
=======================================
make[5]: *** [Makefile:753: check-TESTS] Error 1
make[5]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt/tests'
make[4]: *** [Makefile:879: check-am] Error 2
make[4]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt/tests'
make[3]: *** [Makefile:881: check] Error 2
make[3]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt/tests'
make[2]: *** [Makefile:461: check-recursive] Error 1
make[2]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang/qt'
make[1]: *** [Makefile:458: check-recursive] Error 1
make[1]: Leaving directory '/builddir/build/BUILD/gpgme-1.14.0/lang'
make: *** [Makefile:535: check-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.Zbs6Xw (%check)
    Bad exit status from /var/tmp/rpm-tmp.Zbs6Xw (%check)

Comment 1 Fedora Release Engineering 2021-01-24 04:22:24 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-01).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.